DbMpoolStat (Sleepycat Software, Inc. - Berkeley DB Java API)
Keywords: com.sleepycat.db.DbMpoolStat,DbMpoolStat class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class DbMpoolStat

    java.lang.Object
      |
      +--com.sleepycat.db.DbMpoolStat

public class DbMpoolStat
extends Object

The DbMpoolStat object is used to return memory pool statistics.

Field Summary
`int` | `st_alloc` Number of page allocations.
`int` | `st_alloc_buckets` Number of hash buckets checked during allocation.
`int` | `st_alloc_max_buckets` Maximum number of hash buckets checked during an allocation.
`int` | `st_alloc_max_pages` Maximum number of pages checked during an allocation.
`int` | `st_alloc_pages` Number of pages checked during allocation.
`int` | `st_bytes` Bytes of cache (total cache size is st_gbytes + st_bytes).
`int` | `st_cache_hit` Requested pages found in the cache.
`int` | `st_cache_miss` Requested pages not found in the cache.
`int` | `st_gbytes` Gigabytes of cache (total cache size is st_gbytes + st_bytes).
`int` | `st_hash_buckets` Number of hash buckets in buffer hash table.
`int` | `st_hash_examined` Total number of hash elements traversed during hash table lookups.
`int` | `st_hash_longest` The longest chain ever encountered in buffer hash table lookups.
`int` | `st_hash_max_wait` The maximum number of times any hash bucket lock was waited for by a thread of control.
`int` | `st_hash_nowait` The number of times that a thread of control was able to obtain a hash bucket lock without waiting.
`int` | `st_hash_searches` Total number of buffer hash table lookups.
`int` | `st_hash_wait` The number of times that a thread of control was forced to wait before obtaining a hash bucket lock.
`int` | `st_map` Requested pages mapped into the process' address space (there is no available information about whether or not this request caused disk I/O, although examining the application page fault rate may be helpful).
`int` | `st_ncache` Number of caches.
`int` | `st_page_clean` Clean pages currently in the cache.
`int` | `st_page_create` Pages created in the cache.
`int` | `st_page_dirty` Dirty pages currently in the cache.
`int` | `st_page_in` Pages read into the cache.
`int` | `st_page_out` Pages written from the cache to the backing file.
`int` | `st_page_trickle` Dirty pages written using the `DbEnv.memoryPoolTrickle` method.
`int` | `st_pages` Pages in the cache.
`int` | `st_region_nowait` The number of times that a thread of control was able to obtain a region lock without waiting.
`int` | `st_region_wait` The number of times that a thread of control was forced to wait before obtaining a region lock.
`int` | `st_regsize` Individual cache size.
`int` | `st_ro_evict` Clean pages forced from the cache.
`int` | `st_rw_evict` Dirty pages forced from the cache.

Constructor Summary
`DbMpoolStat()`

Method Summary
`String` | `toString()` Provide a string representation of all the fields contained within this class.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### st_gbytes

    public int st_gbytes

  Gigabytes of cache (total cache size is st_gbytes + st_bytes).

### st_bytes

    public int st_bytes

  Bytes of cache (total cache size is st_gbytes + st_bytes).

### st_ncache

    public int st_ncache

  Number of caches.

### st_regsize

    public int st_regsize

  Individual cache size.

### st_map

    public int st_map

  Requested pages mapped into the process' address space (there is no available information about whether or not this request caused disk I/O, although examining the application page fault rate may be helpful).

### st_cache_hit

    public int st_cache_hit

  Requested pages found in the cache.

### st_cache_miss

    public int st_cache_miss

  Requested pages not found in the cache.

### st_page_create

    public int st_page_create

  Pages created in the cache.

### st_page_in

    public int st_page_in

  Pages read into the cache.

### st_page_out

    public int st_page_out

  Pages written from the cache to the backing file.

### st_ro_evict

    public int st_ro_evict

  Clean pages forced from the cache.

### st_rw_evict

    public int st_rw_evict

  Dirty pages forced from the cache.

### st_page_trickle

    public int st_page_trickle

  Dirty pages written using the `DbEnv.memoryPoolTrickle` method.

### st_pages

    public int st_pages

  Pages in the cache.

### st_page_clean

    public int st_page_clean

  Clean pages currently in the cache.

### st_page_dirty

    public int st_page_dirty

  Dirty pages currently in the cache.

### st_hash_buckets

    public int st_hash_buckets

  Number of hash buckets in buffer hash table.

### st_hash_searches

    public int st_hash_searches

  Total number of buffer hash table lookups.

### st_hash_longest

    public int st_hash_longest

  The longest chain ever encountered in buffer hash table lookups.

### st_hash_examined

    public int st_hash_examined

  Total number of hash elements traversed during hash table lookups.

### st_hash_nowait

    public int st_hash_nowait

  The number of times that a thread of control was able to obtain a hash bucket lock without waiting.

### st_hash_wait

    public int st_hash_wait

  The number of times that a thread of control was forced to wait before obtaining a hash bucket lock.

### st_hash_max_wait

    public int st_hash_max_wait

  The maximum number of times any hash bucket lock was waited for by a thread of control.

### st_region_nowait

    public int st_region_nowait

  The number of times that a thread of control was able to obtain a region lock without waiting.

### st_region_wait

    public int st_region_wait

  The number of times that a thread of control was forced to wait before obtaining a region lock.

### st_alloc

    public int st_alloc

  Number of page allocations.

### st_alloc_buckets

    public int st_alloc_buckets

  Number of hash buckets checked during allocation.

### st_alloc_max_buckets

    public int st_alloc_max_buckets

  Maximum number of hash buckets checked during an allocation.

### st_alloc_pages

    public int st_alloc_pages

  Number of pages checked during allocation.

### st_alloc_max_pages

    public int st_alloc_max_pages

  Maximum number of pages checked during an allocation.

Constructor Detail

### DbMpoolStat

    public DbMpoolStat()

Method Detail

### toString

    public String toString()

  Provide a string representation of all the fields contained within this class.

  Overrides:
    `toString` in class `Object`
  Returns:
    The string representation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.